Discussions

Expand all | Collapse all

omnisci_server error

  • 1.  omnisci_server error

    Posted 24 days ago
    Who can tell me why I report this problem?
    Thanks very much









    #Uncategorized


  • 2.  RE: omnisci_server error

    Posted 24 days ago
    @ddd m,

    Probably you are using an outdated driver, that works for the database, but not with BE-R.

    Which driver are you using? You can get the version running the - command
    mapd@zion16:~$ nvidia-smi
    Thu Sep 19 11:43:32 2019
    +-----------------------------------------------------------------------------+
    | NVIDIA-SMI 410.104      Driver Version: 410.104      CUDA Version: 10.0     |
    |-------------------------------+----------------------+----------------------+
    | GPU  Name        Persistence-M| Bus-Id        Disp.A | Volatile Uncorr. ECC |
    | Fan  Temp  Perf  Pwr:Usage/Cap|         Memory-Usage | GPU-Util  Compute M. |
    |===============================+======================+======================|
    |   0  GeForce RTX 208...  On   | 00000000:09:00.0 Off |                  N/A |
    |  0%   42C    P8    21W / 260W |   2273MiB / 10989MiB |      0%      Default |
    +-------------------------------+----------------------+----------------------+
    |   1  GeForce RTX 208...  On   | 00000000:43:00.0  On |                  N/A |
    | 23%   46C    P8    21W / 250W |   2266MiB / 10988MiB |      0%      Default |
    +-------------------------------+----------------------+----------------------+
    
    +-----------------------------------------------------------------------------+
    | Processes:                                                       GPU Memory |
    |  GPU       PID   Type   Process name                             Usage      |
    |=============================================================================|
    |    0     30673    C+G   ...-Linux-x86_64-render/bin/omnisci_server  2261MiB |
    |    1     30673      C   ...-Linux-x86_64-render/bin/omnisci_server  2255MiB |
    +-----------------------------------------------------------------------------+
    this is the output of my workstation; I have the driver 410.104 installed and everything is working fine on 4.8.1



  • 3.  RE: omnisci_server error

    Posted 24 days ago
    This is the result of the operation.





  • 4.  RE: omnisci_server error

    Posted 24 days ago
    How can I solve this problem?
    Please tell me, thank you.



  • 5.  RE: omnisci_server error

    Posted 24 days ago
    Edited by Candido Dessanti 24 days ago
    Well the driver is very old, so you have to upgrade the driver to get backend-rendering

    If I remeber correctly you are on an centos on aws, so a command like that would be sufficent

    sudo yum upgrade nvidia-driver

    you will get a list of needed packages for updates; something like that

    Dependencies Resolved
    
    ========================================================================================================================================================================
     Package                                                      Arch                          Version                                   Repository                   Size
    ========================================================================================================================================================================
    Installing:
     kmod-nvidia-latest-dkms                                      x86_64                        3:418.87.00-2.el7                         cuda                         13 M
         replacing  dkms-nvidia.x86_64 3:418.67-1.el7
     nvidia-driver-latest-dkms                                    x86_64                        3:418.87.00-2.el7                         cuda                        5.6 M
         replacing  nvidia-driver.x86_64 3:418.67-4.el7
     nvidia-driver-latest-dkms-NVML                               x86_64                        3:418.87.00-2.el7                         cuda                        568 k
         replacing  nvidia-driver-NVML.x86_64 3:418.67-4.el7
     nvidia-driver-latest-dkms-NvFBCOpenGL                        x86_64                        3:418.87.00-2.el7                         cuda                        137 k
         replacing  nvidia-driver-NvFBCOpenGL.x86_64 3:418.67-4.el7
     nvidia-driver-latest-dkms-cuda                               x86_64                        3:418.87.00-2.el7                         cuda                        395 k
         replacing  nvidia-driver-cuda.x86_64 3:418.67-4.el7
     nvidia-driver-latest-dkms-cuda-libs                          x86_64                        3:418.87.00-2.el7                         cuda                         32 M
         replacing  nvidia-driver-cuda-libs.x86_64 3:418.67-4.el7
     nvidia-driver-latest-dkms-devel                              x86_64                        3:418.87.00-2.el7                         cuda                         19 k
         replacing  nvidia-driver-devel.x86_64 3:418.67-4.el7
     nvidia-driver-latest-dkms-libs                               x86_64                        3:418.87.00-2.el7                         cuda                         45 M
         replacing  nvidia-driver-libs.x86_64 3:418.67-4.el7
     nvidia-libXNVCtrl-latest-dkms                                x86_64                        3:418.87.00-1.el7                         cuda                         54 k
         replacing  nvidia-libXNVCtrl.x86_64 3:418.67-1.el7
     nvidia-libXNVCtrl-latest-dkms-devel                          x86_64                        3:418.87.00-1.el7                         cuda                         62 k
         replacing  nvidia-libXNVCtrl-devel.x86_64 3:418.67-1.el7
     nvidia-modprobe-latest-dkms                                  x86_64                        3:418.87.00-2.el7                         cuda                         72 k
         replacing  nvidia-modprobe.x86_64 3:418.67-1.el7
     nvidia-persistenced-latest-dkms                              x86_64                        3:418.87.00-2.el7                         cuda                        100 k
         replacing  nvidia-persistenced.x86_64 3:418.67-1.el7
     nvidia-settings-latest-dkms                                  x86_64                        3:418.87.00-1.el7                         cuda                        3.9 M
         replacing  nvidia-settings.x86_64 3:418.67-1.el7
     nvidia-xconfig-latest-dkms                                   x86_64                        3:418.87.00-2.el7                         cuda                        272 k
         replacing  nvidia-xconfig.x86_64 3:418.67-1.el7
    Installing for dependencies:
     yum-plugin-nvidia                                            noarch                        0.3-1.el7                                 cuda                        9.9 k
    
    Transaction Summary
    ========================================================================================================================================================================
    Install  14 Packages (+1 Dependent package)
    
    Total download size: 101 M
    Is this ok [y/d/N]: y
    Downloading packages:
    (1/15): nvidia-driver-latest-dkms-418.87.00-2.el7.x86_64.rpm                                                                                     | 5.6 MB  00:00:00
    (2/15): nvidia-driver-latest-dkms-NVML-418.87.00-2.el7.x86_64.rpm                                                                                | 568 kB  00:00:00
    (3/15): nvidia-driver-latest-dkms-NvFBCOpenGL-418.87.00-2.el7.x86_64.rpm                                                                         | 137 kB  00:00:00
    (4/15): nvidia-driver-latest-dkms-cuda-418.87.00-2.el7.x86_64.rpm                                                                                | 395 kB  00:00:00
    (5/15): kmod-nvidia-latest-dkms-418.87.00-2.el7.x86_64.rpm                                                                                       |  13 MB  00:00:00
    (6/15): nvidia-driver-latest-dkms-devel-418.87.00-2.el7.x86_64.rpm                                                                               |  19 kB  00:00:00
    (7/15): nvidia-driver-latest-dkms-cuda-libs-418.87.00-2.el7.x86_64.rpm                                                                           |  32 MB  00:00:00
    (8/15): nvidia-libXNVCtrl-latest-dkms-418.87.00-1.el7.x86_64.rpm                                                                                 |  54 kB  00:00:00
    (9/15): nvidia-libXNVCtrl-latest-dkms-devel-418.87.00-1.el7.x86_64.rpm                                                                           |  62 kB  00:00:00
    (10/15): nvidia-modprobe-latest-dkms-418.87.00-2.el7.x86_64.rpm                                                                                  |  72 kB  00:00:00
    (11/15): nvidia-persistenced-latest-dkms-418.87.00-2.el7.x86_64.rpm                                                                              | 100 kB  00:00:00
    (12/15): nvidia-settings-latest-dkms-418.87.00-1.el7.x86_64.rpm                                                                                  | 3.9 MB  00:00:00
    (13/15): nvidia-xconfig-latest-dkms-418.87.00-2.el7.x86_64.rpm                                                                                   | 272 kB  00:00:00
    (14/15): yum-plugin-nvidia-0.3-1.el7.noarch.rpm                                                                                                  | 9.9 kB  00:00:00
    (15/15): nvidia-driver-latest-dkms-libs-418.87.00-2.el7.x86_64.rpm                                                                               |  45 MB  00:00:01

    You will be prompted if everything is ok, then the needed packages will be installed, and if I rember correctly a reboot is needed .